LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XRemoteContentProviderDoneListener Interface Referencepublished

A notification mechanism that a XRemoteContentProviderAcceptor no longer needs a remote content provider. More...

`import"XRemoteContentProviderDoneListener.idl";`

Inheritance diagram for XRemoteContentProviderDoneListener:

## Public Member Functions
void | doneWithRemoteContentProviders ([in] XRemoteContentProviderAcceptor Acceptor)
| A notification that all remote content providers added to the given XRemoteContentProviderAcceptor should be removed, because the acceptor no longer needs them. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A notification mechanism that a XRemoteContentProviderAcceptor no longer needs a remote content provider.

Version
  1.0

## Member Function Documentation

## ◆ doneWithRemoteContentProviders()

void doneWithRemoteContentProviders | ( | [in] XRemoteContentProviderAcceptor | Acceptor | ) |

A notification that all remote content providers added to the given XRemoteContentProviderAcceptor should be removed, because the acceptor no longer needs them.

Parameters

  Acceptor | If null, all remote content providers added to any acceptor shall be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderDoneListener.idl